<?php
/*
 // K2 Maps V1.1.1
 // Copyright (c) 2009 - 2010 Simon Wells. All rights reserved.
 // Released under the GNU/GPL license: http://www.gnu.org/copyleft/gpl.html
 // More info at http://simon.getk2.org
 // Last update: 24th May 2010
 // Change Log
 // V1.0 Initial Release
 // V1.1 Removed display instance from Category and Category View, only displays in the K2 Item page
 // V1.1.1 Updated Copyright and Support information following user and file moving to new domain
 */

// no direct access
defined('_JEXEC') or die ('Restricted access');
JLoader::register('K2Plugin', JPATH_ADMINISTRATOR.DS.'components'.DS.'com_k2'.DS.'lib'.DS.'k2plugin.php');

/**
 * K2 Plugin to display Google map in a K2 Item.
 */

class plgK2Maps extends K2Plugin {

	// Some params
	var $pluginName = 'maps';
	var $pluginNameHumanReadable = 'Google Maps';

	function plgK2Youtube( & $subject, $params) {
	
		parent::__construct($subject, $params);
	}

	// Event to display the Map.
	function onK2AfterDisplayContent( & $item, & $params, $limitstart) {
	
		global $mainframe;
	
		$plugin = & JPluginHelper::getPlugin('k2', 'maps');
		$pluginParams = new JParameter($plugin->params);
		$view	= JRequest::getCmd('view');
		
		$apikey = $pluginParams->get('apikey');
	
		$plugins = new K2Parameter($item->plugins, '', $this->pluginName);
		$vidmap = $plugins->get('classmap');
		$longitude = $plugins->get('longitude');
		$latitude = $plugins->get('latitude');
		$marker = $plugins->get('marker');
		$color = $plugins->get('color');
		$zoom = $plugins->get('zoom', 12);
		$width = $plugins->get('width', 400);
		$height = $plugins->get('height', 200);
		$type = $plugins->get('type', 'roadmap');

		if ($view == 'item')
		{
		if ($longitude=="") {
		$output ='';
		}
		else {
		if($vidmap == 1)
		{
		$output = '<img src="http://static-maps.yandex.ru/1.x/?ll='.$latitude.','.$longitude.'&size='.$width.','.$height.'&z='.$zoom.'&l='.$type.'&pt='.$latitude.','.$longitude.',pm'.$color.'m'.$marker.'&key='.$apikey.'"/>';
		}
		else
		{
		switch($color)
		{
			case 'gn': $style = "twirl#greenStretchyIcon";
			break;
			case 'bl': $style = "twirl#blueStretchyIcon";
			break;
			case 'yw': $style = "twirl#yellowStretchyIcon";
			break;
			case 'pn': $style = "twirl#pinkStretchyIcon";
			break;
			default: $style = "twirl#redStretchyIcon";
		}
 
	  switch($type)
		{ 	
		case 'sat': $type_map = 'yandex#satellite';
		break;		
		case 'sat,skl': $type_map = 'yandex#hybrid';
		break;
		case 'pmap': $type_map = 'yandex#publicMap';
		break;		
		case 'sat,pskl': $type_map = 'yandex#publicMapHybrid';
		break;		
		default: $type_map = 'yandex#map';
		}
 
		 $output ='<script src="http://api-maps.yandex.ru/2.0/?load=package.full&lang=ru-RU" type="text/javascript"></script>

    <script type="text/javascript">
	
		 ymaps.ready(init);
        function init () {
            var myMap = new ymaps.Map("ymap", {
                    center: ['.$longitude.','.$latitude.'],
                    zoom: '.$zoom.',
					type: "'.$type_map.'"
                });            


            myMap.controls
                // Кнопка изменения масштаба
                .add("zoomControl")
                // Список типов карты
                .add("typeSelector")
                // Стандартный набор кнопок
                .add("mapTools");
				
				myPlacemark = new ymaps.Placemark(['.$longitude.','.$latitude.'], {iconContent: "'.$marker.'"}, {preset: "'.$style.'"});
				myMap.geoObjects.add(myPlacemark);
            
        }

    </script>

    <div id="ymap" style="width:'.$width.'px;height:'.$height.'px;"></div>';
 
		}
		}
	}
		return $output;
	}
}